import { Game } from "../game/Game";

export abstract class Scene {
  public readonly game:Game;

  constructor(game:Game) {
    this.game = game;
  }

  abstract init():void;
  abstract update():void;
  abstract dispose():void;
}